Bug 176569 - Web Inspector: Canvas: changes to currentX/currentY aren't highlighted in the details sidebar
Summary: Web Inspector: Canvas: changes to currentX/currentY aren't highlighted in the...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks: WebInspectorCanvasRecording
  Show dependency treegraph
 
Reported: 2017-09-07 16:22 PDT by Matt Baker
Modified: 2017-09-27 12:35 PDT (History)
4 users (show)

See Also:


Attachments
Patch (1.89 KB, patch)
2017-09-07 22:31 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Baker 2017-09-07 16:22:17 PDT
Summary:
Changes to currentX/currentY aren't highlighted in the details sidebar.

I expected these to get the same treatment as other canvas state, when modified as the result of applying an action.
Comment 1 Devin Rousso 2017-09-07 22:31:47 PDT
Created attachment 320238 [details]
Patch
Comment 2 Matt Baker 2017-09-08 13:07:45 PDT
Comment on attachment 320238 [details]
Patch

r=me
Comment 3 WebKit Commit Bot 2017-09-08 13:37:34 PDT
Comment on attachment 320238 [details]
Patch

Clearing flags on attachment: 320238

Committed r221798: <http://trac.webkit.org/changeset/221798>
Comment 4 WebKit Commit Bot 2017-09-08 13:37:37 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2017-09-27 12:35:58 PDT
<rdar://problem/34693572>